## GnomeDbDataCellRendererCombo

GnomeDbDataCellRendererCombo —

##

# Synopsis

    struct      GnomeDbDataCellRendererCombo;
    struct      GnomeDbDataCellRendererComboClass;
    struct      GnomeDbDataCellRendererComboPrivate;
    GtkCellRenderer* gnome_db_data_cell_renderer_combo_new
                                                (GdaSet *paramlist,
                                                 GdaSetSource *source);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkCellRenderer
                         +----GtkCellRendererText
                               +----GnomeDbDataCellRendererCombo

## Properties

      "param-list"           GdaSet               : Write / Construct Only
      "param-list-source"    gpointer             : Write / Construct Only
      "set-default-if-invalid" gboolean             : Read / Write
      "show-expander"        gboolean             : Write
      "to-be-deleted"        gboolean             : Write
      "value-attributes"     GdaValueAttribute    : Read / Write
      "values"               gpointer             : Write
      "values-display"       gpointer             : Write

## Signal Prototypes

    "changed"   void        user_function      (GnomeDbDataCellRendererCombo *dbdatacellrenderercombo,
                                                gchar *arg1,
                                                gpointer arg2,
                                                gpointer arg3,
                                                gpointer user_data);

## Description

## Details

### struct GnomeDbDataCellRendererCombo

    struct GnomeDbDataCellRendererCombo;

### struct GnomeDbDataCellRendererComboClass

    struct GnomeDbDataCellRendererComboClass {

    	GtkCellRendererTextClass parent_class;

    	void (* changed) (GnomeDbDataCellRendererCombo *cell_renderer_combo,
    			  const gchar *path,
    			  GSList *new_values, GSList *all_new_values);
    };

### struct GnomeDbDataCellRendererComboPrivate

    struct GnomeDbDataCellRendererComboPrivate;

### gnome_db_data_cell_renderer_combo_new ()

    GtkCellRenderer* gnome_db_data_cell_renderer_combo_new
                                                (GdaSet *paramlist,
                                                 GdaSetSource *source);

Creates a new GnomeDbDataCellRendererCombo which will fill the parameters listed in `source->nodes` with values available from `source->data_model`.

`paramlist` : | a GdaSet object
`source` : | a GdaSetSource structure listed in `paramlist->sources_list`
Returns : | the new cell renderer

## Properties

"`param-list`" (GdaSet : Write / Construct Only) |
"`param-list-source`" (gpointer : Write / Construct Only) |
"`set-default-if-invalid`" (gboolean : Read / Write) |
"`show-expander`" (gboolean : Write) |
"`to-be-deleted`" (gboolean : Write) |
"`value-attributes`" (GdaValueAttribute : Read / Write) |
"`values`" (gpointer : Write) | GList of GValue to render, limited to PK fields.
"`values-display`" (gpointer : Write) | GList of GValue to render, not limited to PK fields .

## Signals

### The "changed" signal

    void        user_function                  (GnomeDbDataCellRendererCombo *dbdatacellrenderercombo,
                                                gchar *arg1,
                                                gpointer arg2,
                                                gpointer arg3,
                                                gpointer user_data);

`dbdatacellrenderercombo` : | the object which received the signal.
`arg1` : |
`arg2` : |
`arg3` : |
`user_data` : | user data set when the signal handler was connected.